#pragma once

class CCallHistoryDlg;

class CCallHistoryActorEvent : 
    public IGTWASActorEvent ,
    private IGTMessengerActorEvent
{
public:
	CCallHistoryActorEvent(CCallHistoryDlg *pDlg);
	~CCallHistoryActorEvent(void);

	void RequestCallHistory(NTCallType eCallType);
	void RequestSetCallMemo(int nCallSeq, CString strMemo);
	void RequestSearchCallHistory(NTCallType eCallType, CString strSearchWord);

	virtual bool OnGTWASActor_ResponseCallHistory(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const std::vector<NE_CALL_DATA> &list);
	virtual bool OnGTWASActor_ResponseSetCallMemo(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, int nCallSeq);
	virtual bool OnGTWASActor_ResponseSearchCallHistory(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const std::vector<NE_CALL_DATA> &list);

private:
	CCallHistoryDlg *m_pCallHistoryDlg;
	std::list<trid_t>	m_tridList;
};
